Package jnr.constants.platform

# Enum SocketControlMessage

java.lang.Object
java.lang.Enum<SocketControlMessage>
jnr.constants.platform.SocketControlMessage

All Implemented Interfaces:
  `Serializable`, `Comparable<SocketControlMessage>`, `java.lang.constant.Constable`, `Constant`

public enum SocketControlMessage extends Enum<SocketControlMessage> implements Constant

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`__UNKNOWN_CONSTANT__`
`SCM_BINTIME`
`SCM_CREDENTIALS`
`SCM_CREDS`
`SCM_RIGHTS`
`SCM_TIMESTAMP`
`SCM_TIMESTAMPING`
`SCM_TIMESTAMPNS`
`SCM_UCRED`
`SCM_WIFI_STATUS`

## Method Summary

Modifier and Type
Method
Description
`final boolean`
`defined()`
`final String`
`description()`
`final int`
`intValue()`
`final long`
`longValue()`
`final String`
`toString()`
`final int`
`value()`
`static SocketControlMessage`
`valueOf(long value)`
Returns the enum constant of this type with the specified name.
`static SocketControlMessage`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static SocketControlMessage[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface jnr.constants.Constant

`name`

## Enum Constant Details

### SCM_RIGHTS

public static final SocketControlMessage SCM_RIGHTS

### SCM_TIMESTAMP

public static final SocketControlMessage SCM_TIMESTAMP

### SCM_TIMESTAMPNS

public static final SocketControlMessage SCM_TIMESTAMPNS

### SCM_TIMESTAMPING

public static final SocketControlMessage SCM_TIMESTAMPING

### SCM_BINTIME

public static final SocketControlMessage SCM_BINTIME

### SCM_CREDENTIALS

public static final SocketControlMessage SCM_CREDENTIALS

### SCM_CREDS

public static final SocketControlMessage SCM_CREDS

### SCM_UCRED

public static final SocketControlMessage SCM_UCRED

### SCM_WIFI_STATUS

public static final SocketControlMessage SCM_WIFI_STATUS

### __UNKNOWN_CONSTANT__

public static final SocketControlMessage __UNKNOWN_CONSTANT__

## Method Details

### values

public static SocketControlMessage[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static SocketControlMessage valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### value

public final int value()

### intValue

public final int intValue()

Specified by:
  `intValue` in interface `Constant`

### longValue

public final long longValue()

Specified by:
  `longValue` in interface `Constant`

### description

public final String description()

### defined

public final boolean defined()

Specified by:
  `defined` in interface `Constant`

### toString

public final String toString()

Overrides:
  `toString` in class `Enum<SocketControlMessage>`

### valueOf

public static SocketControlMessage valueOf(long value)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `value` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null